org.jgroups.protocols.pbcast

## Class GmsImpl.Request

- java.lang.Object
- - org.jgroups.protocols.pbcast.GmsImpl.Request

Enclosing class:
  GmsImpl

    public static class GmsImpl.Request
    extends java.lang.Object

### Method Summary

Methods
`boolean` `canBeProcessedTogether(GmsImpl.Request other)` Specifies whether this request can be processed with other request simultaneously
`int` `getType()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getType

    public int getType()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### canBeProcessedTogether

    public boolean canBeProcessedTogether(GmsImpl.Request other)

Specifies whether this request can be processed with other request simultaneously